{% extends "UserBundle::Template.html.twig" %}
{% block wrapper %}
<div id="mapView" class="mob-min"><div class="mapPlaceholder"><span class="fa fa-spin fa-spinner"></span> Loading map...</div></div>
    <div id="content" class="mob-max">
        <div class="rightContainer">
            <h1>Modifier une Randonnée</h1>
            <form role="form" method="post" action="{{ path('Rando_update',{id:item.id}) }}">
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8">
                        <div class="form-group">
                            <label>Titre</label>
                            <input type="text" class="form-control" name="titre" value="{{ item.titre }}">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8">
                        <div class="form-group">
                            <label>Destination</label>
                            <div class="input-group">
                            <a href="#" id="search_button" class="input-group-addon"><i class="fa fa-search"></i></a>
                            <input id="destination" name="destination" type="text" class="form-control" value="{{ item.idDestination.nom }}">
                            <input style="display:none" type="text" name="lat" id="lat" value="{{ item.idDestination.idLocalisation.lattitude }}">
                            <input style="display:none" type="text" name="lng" id="lng" value="{{ item.idDestination.idLocalisation.longitude }}">
                            </div>
                            </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label>Prix</label>
                            <div class="input-group">
                                <div class="input-group-addon">dt</div>
                                <input class="form-control" type="text" name="prix" value="{{ item.prix }}">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label>Description</label>
                    <textarea class="form-control" rows="4" name="description" >{{ item.description }}</textarea>
                </div>
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                        <div class="form-group">
                            <label>nombre min d'inscription</label>
                            <input type="text" class="form-control" name="nbPlaceMin" value="{{ item.nbPlaceMin }}">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                        <div class="form-group">
                            <label>nombre max d'inscription</label>
                            <input type="text" class="form-control" name="nbPlaceMax" value="{{ item.nbPlaceMax }}">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                        <div class="form-group">
                            <label>nombre max de kilometres</label>
                            <input type="text" class="form-control" name="nbKilometres" value="{{ item.nbKilometres }}">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                        <div class="form-group">
                            <label>date de départ</label>
                            <input type="text" class="form-control" id="datedep" name="dateDep" value="{{ item.dateRando|date }}">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                        <div class="btn-group">
                            <label>Type de randonnée</label>
                            <div class="clearfix"></div>

                            <select class="dropdown-menu dropdown-select" name="rando_type" style="display: block">
                                {% for itemtype in list_rando_type %}
                                <option value="{{ itemtype.id }}">{{ itemtype.type }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                        <div class="form-group">
                            <label>Image</label>
                            <input type="file" class="file" multiple data-show-upload="false" data-show-caption="false" data-show-remove="false" accept="image/jpeg,image/png" data-browse-class="btn btn-o btn-default" data-browse-label="Browse Images">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <input type="submit" class="btn-green btn-lg isThemeBtn" value="Ajouter">
                </div>
            </form>
        </div>
    </div>
    <div class="clearfix"></div>
</div>
{% endblock %}

{% block scripts %}
    <link rel="stylesheet" media="all" type="text/css" href="http://code.jquery.com/ui/1.11.0/themes/smoothness/jquery-ui.css">
    <script src="{{ asset('UserAssets/js/jquery-ui-timepicker-addon.min.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('UserAssets/css/jquery-ui-timepicker-addon.min.css') }}">

    <script>

        $( "#datedep" ).datepicker({
            dateFormat : 'dd-mm-yy',
            minDate: new Date(),
        });


        var themeColorPath = $("#app").attr("href");
        var themeColorFile = themeColorPath.replace("css/app-", "");
        var themeColor = themeColorFile.replace(".css", "");


        var map;
        var marker;
        var geocoder = new google.maps.Geocoder();
        // Custom options for map
        var options = {
            zoom : 7,
            center:new google.maps.LatLng({{ item.idDestination.idLocalisation.lattitude }},{{ item.idDestination.idLocalisation.longitude}}),
            mapTypeId : 'Styled',
            disableDefaultUI: true,
            mapTypeControlOptions : {
                mapTypeIds : [ 'Styled' ]
            }
        };
        var styles = [
            {
                stylers : [ {
                    hue : "#cccccc"
                }, {
                    saturation : -100
                }]
            }, {
                featureType : "road",
                elementType : "geometry",
                stylers : [ {
                    lightness : 100
                }, {
                    visibility : "simplified"
                }]
            }, {
                featureType : "road",
                elementType : "labels",
                stylers : [ {
                    visibility : "on"
                }]
            }, {
                featureType: "poi",
                stylers: [ {
                    visibility: "off"
                }]
            }];

        //        init map after 300ms
        setTimeout(function() {
            $('body').removeClass('notransition');
            console.log("init map")
            map = new google.maps.Map(document.getElementById('mapView'), options);
            marker=new google.maps.Marker({
                map: map,
                position:new google.maps.LatLng({{ item.idDestination.idLocalisation.lattitude }},{{ item.idDestination.idLocalisation.longitude}}),
                icon: new google.maps.MarkerImage(
                    "../../UserAssets/images/marker-green.png",
                    null,
                    null,
                    null,
                    new google.maps.Size(36, 36)
                ),
                draggable: false,
                animation: google.maps.Animation.DROP,
            });
            var styledMapType = new google.maps.StyledMapType(styles, {name : 'Styled'});
            map.mapTypes.set('Styled', styledMapType);

            $("#search_button").on("click",function(){
                geocodeAddress(geocoder, map);
            })

            map.addListener("click",function(event){
                reverseGeocodeAddress(event)
            })

        }, 300);

        function geocodeAddress(geocoder, resultsMap) {
            if(marker){
                marker.setMap(null);
            }
            var address = $("#destination").val();
            geocoder.geocode({'address': address}, function(results, status) {
                if (status === 'OK') {
                    resultsMap.setCenter(results[0].geometry.location);

                    marker = new google.maps.Marker({
                        map: resultsMap,
                        position: results[0].geometry.location,
                        icon: new google.maps.MarkerImage(
                            "../../UserAssets/images/marker-green.png",
                            null,
                            null,
                            null,
                            new google.maps.Size(36, 36)
                        ),
                        draggable: false,
                        animation: google.maps.Animation.DROP
                    });
                    $("#lat").val(results[0].geometry.location.lat())
                    $("#lng").val(results[0].geometry.location.lng())
                    $("#destination").val(results[0].formatted_address)
                    console.log(results[0])
                } else {
                    alert('Geocode was not successful for the following reason: ' + status);
                }
            });
        }

        function reverseGeocodeAddress(event){
            if(marker){
                marker.setMap(null);
            }

            geocoder.geocode({'location': event.latLng}, function(results, status) {
                if (status === 'OK') {
                    marker=new google.maps.Marker({
                        position:event.latLng,
                        map:map,
                        icon: new google.maps.MarkerImage(
                            "../../UserAssets/images/marker-green.png",
                            null,
                            null,
                            null,
                            new google.maps.Size(36, 36)
                        ),
                        draggable: false,
                        animation: google.maps.Animation.DROP,
                    })

                    map.setCenter(results[0].geometry.location);

                    $("#lat").val(results[0].geometry.location.lat())
                    $("#lng").val(results[0].geometry.location.lng())
                    $("#destination").val(results[0].formatted_address)
                    console.log(results[0])
                } else {
                    alert('Geocode was not successful for the following reason: ' + status);
                }
            });



        }



        function validateForm(){
            var condition=true;
            return condition;
        }
    </script>
{% endblock %}